Bug 212503 - Review Request: perl-WWW-Babelfish - Perl extension for translation via Babelfish or Google
Review Request: perl-WWW-Babelfish - Perl extension for translation via Babel...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/WWW-Babel...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-26 22:16 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 11:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-10-26 22:16:21 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-WWW-Babelfish-0.15-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-WWW-Babelfish.spec

Description:
Perl interface to the WWW babelfish translation server.
Comment 1 Jason Tibbitts 2006-11-13 10:44:47 EST
* source files match upstream:
   bc6293dabcbf5e96435fc8acaf8ac939  WWW-Babelfish-0.15.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(WWW::Babelfish) = 0.15
   perl-WWW-Babelfish = 0.15-1.fc7
  =
   perl >= 0:5.008
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Encode)
   perl(Exporter)
   perl(HTML::TokeParser)
   perl(HTTP::Request::Common)
   perl(IO::String)
   perl(LWP::UserAgent)
   perl(strict)
   perl(vars)
* %check is present and the single trivial test passes:
   1..1
   ok 1
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-11-13 11:39:14 EST
Imported, building for devel and FC-5,6 branches requested.

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.